error alfresco-5.0.b linux solr4

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
nisainana
Active Member

error alfresco-5.0.b linux solr4

Hello,

 

We are working on a alfresco-5.0.b and there are repetitive errors on alfresco-5.0.b/tomcat/logs/catalina.out :

 

org.apache.solr.common.SolrException: version conflict for _DEFAULT_!800000000000000b!800000000011aaa0 expected=1546173748784136192 actual=1546173748808253440
        at org.apache.solr.update.processor.DistributedUpdateProcessor.versionAdd(DistributedUpdateProcessor.java:976)
        at org.apache.solr.update.processor.DistributedUpdateProcessor.processAdd(DistributedUpdateProcessor.java:693)
        at org.alfresco.solr.SolrInformationServer.updateContentToIndexAndCache(SolrInformationServer.java:2152)
        at org.alfresco.solr.tracker.ContentTracker$ContentIndexWorkerRunnable.doWork(ContentTracker.java:117)
        at org.alfresco.solr.tracker.AbstractWorkerRunnable.run(AbstractWorkerRunnable.java:40)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
        at java.lang.Thread.run(Unknown Source)

 

 

Thanks for helping,

6 Replies
mehe
Senior Member II

Re: error alfresco-5.0.b linux solr4

The only thing visible is, that it is a Solr exception (from the optimistic concurrency control) - can you rebuild your index without problems? If it's not too big you could try that.

douglascrp
Advanced II

Re: error alfresco-5.0.b linux solr4

Why posting the same thing 3 times?

This thread, and the following two:

Error alfresco-5.0.b solr4 linux 

 

Please, post only once and wait for help.

nisainana
Active Member

Re: error alfresco-5.0.b linux solr4

Hi

Thanks for your help. 

How to rebuild the index ? 

Thanks

mehe
Senior Member II

Re: error  alfresco-5.0.b linux solr4

nisainana
Active Member

Re: error alfresco-5.0.b linux solr4

Thanks Martin Ehe,

I'll try your solution. 

Best regards 

nisainana
Active Member

Re: error alfresco-5.0.b linux solr4

Hi,

sorry for duplication